/** LicenseFees.java
 *  @author Joel Adams, for Alice+Java.
 */
import java.util.Scanner;

public class LicenseFees {
	public static void main(String[] args) {
//		testFees();
		displayMenu();
		Scanner kbd = new Scanner(System.in);
		char choice = kbd.nextLine().charAt(0);
		License license = new License(choice);
		System.out.printf("The license fee is $%.2f\n", license.getFee() );
	}
	
	private static void displayMenu() {
		System.out.print("Enter the code for your pet:\n" +
				         "\tb - bird\n" +
				         "\tc - cat\n" +
				         "\td - dog\n" +
				         "\tf - fish\n" +
				         "\th - horse\n" +
				         "\tr - reptile\n" +
				         "\to - other\n" +
						 "--> "
				         );
	}
	
	private static void testFees() {
		assert new License('d').getFee() == 10.00;
		assert new License('c').getFee() == 5.00;
		assert new License('f').getFee() == 1.00;
		assert new License('o').getFee() == 0.00;
		System.out.println("All tests passed!");
	}
}
